ogma-language-copilot-1.14.0: Ogma: Runtime Monitor translator: Copilot Language Endpoints

Safe Haskell | Safe-Inferred
Language | Haskell2010

Language.Copilot.CStruct

Contents

- CStruct

Description

Copilot's representation and conversion of C Structs from C's AST.

Synopsis

- data CStruct = CStruct {
  - cStructName :: String
  - cStructFields :: [CField]
  }
- data CField
  - = CPlain String String
  - | CArray String String Integer

# CStruct

data CStruct Source #

A C struct is a name and fields with different types.

Constructors

CStruct |

Fields

- cStructName :: String
- cStructFields :: [CField]

#### Instances

Instances details

Show CStruct Source # |
Instance details Defined in Language.Copilot.CStruct Methods showsPrec :: Int -> CStruct -> ShowS Source # show :: CStruct -> String Source # showList :: [CStruct] -> ShowS Source #
Eq CStruct Source # |
Instance details Defined in Language.Copilot.CStruct Methods (==) :: CStruct -> CStruct -> Bool Source # (/=) :: CStruct -> CStruct -> Bool Source #

data CField Source #

A field may have a name and a type, or be an array with a name, type and length. Pointers are not currently supported.

Constructors

CPlain String String |
CArray String String Integer |

#### Instances

Instances details

Show CField Source # |
Instance details Defined in Language.Copilot.CStruct Methods showsPrec :: Int -> CField -> ShowS Source # show :: CField -> String Source # showList :: [CField] -> ShowS Source #
Eq CField Source # |
Instance details Defined in Language.Copilot.CStruct Methods (==) :: CField -> CField -> Bool Source # (/=) :: CField -> CField -> Bool Source #